--- old/usr/src/uts/common/sys/vfs.h	2015-09-28 19:41:48.951037853 +0200
+++ new/usr/src/uts/common/sys/vfs.h	2015-09-28 19:41:48.954477587 +0200
@@ -203,6 +203,13 @@
 typedef struct vfs {
 	struct vfs	*vfs_next;		/* next VFS in VFS list */
 	struct vfs	*vfs_prev;		/* prev VFS in VFS list */
+	avl_node_t	vfs_avldev;		/* by dev index */
+	avl_node_t	vfs_avlmntpnt;		/* by mntpnt index */
+	/*
+	 * global mount count to define an order on entries in
+	 * the avl trees with same dev/mountpoint
+	 */
+	uint64_t	vfs_mntix;
 
 /* vfs_op should not be used directly.  Accessor functions are provided */
 	vfsops_t	*vfs_op;		/* operations on VFS */
